[arch-commits] Commit in (4 files)

Thomas Bächler thomas at archlinux.org
Sat May 16 08:16:01 EDT 2009


    Date: Saturday, May 16, 2009 @ 08:16:01
  Author: thomas
Revision: 39421

Initial commit of iwlwifi-5150-ucode

Added:
  iwlwifi-5150-ucode/
  iwlwifi-5150-ucode/repos/
  iwlwifi-5150-ucode/trunk/
  iwlwifi-5150-ucode/trunk/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

Added: iwlwifi-5150-ucode/trunk/PKGBUILD
===================================================================
--- iwlwifi-5150-ucode/trunk/PKGBUILD	                        (rev 0)
+++ iwlwifi-5150-ucode/trunk/PKGBUILD	2009-05-16 12:16:01 UTC (rev 39421)
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD 4445 2008-07-07 12:03:31Z thomas $
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+
+pkgname=iwlwifi-5150-ucode
+pkgver=8.24.2.2
+pkgrel=1
+pkgdesc="Intel wireless firmware for Intel Wireless WiFi 5150AGN"
+arch=(i686 x86_64)
+url="http://intellinuxwireless.org/?p=iwlwifi"
+license=('custom')
+depends=()
+source=(http://intellinuxwireless.org/iwlwifi/downloads/${pkgname}-${pkgver}.tgz)
+md5sums=('f9cee16e455e8046b1bf62c93f882d5d')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  # Install firmware
+  install -D -m 644 iwlwifi-5150-2.ucode ${pkgdir}/lib/firmware/iwlwifi-5150-2.ucode || return 1
+  # Install license
+  install -D -m 644 LICENSE.iwlwifi-5150-ucode ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+}



More information about the arch-commits mailing list